=== lib/CMakeLists.txt ===
add_subdirectory(domain)
add_subdirectory(infrastructure)
add_subdirectory(presentation)
add_subdirectory(application)
