=== 3rdparty/libqxt/CMakeLists.txt ===
set(SOURCE_FILES ${SOURCE_FILES} src/widgets/qxtglobalshortcut.cpp)
if (WIN32)
    set(SOURCE_FILES ${SOURCE_FILES} src/widgets/win/qxtglobalshortcut_win.cpp)
elseif(APPLE)
    set(SOURCE_FILES ${SOURCE_FILES} src/widgets/mac/qxtglobalshortcut_mac.cpp)
elseif(UNIX)
    set(SOURCE_FILES ${SOURCE_FILES} src/widgets/x11/qxtglobalshortcut_x11.cpp)
endif()
add_definitions(-DBUILD_QXT_CORE -DBUILD_QXT_GUI -DQXT_STATIC)
add_library(qxtglobalshortcut STATIC ${SOURCE_FILES})
target_link_libraries(qxtglobalshortcut Qt5::Core Qt5::Widgets)
target_include_directories(qxtglobalshortcut PUBLIC src/core src/widgets/)
target_include_directories(qxtglobalshortcut PRIVATE ${Qt5Gui_PRIVATE_INCLUDE_DIRS})
if(UNIX)
    find_package(X11)
    target_link_libraries(qxtglobalshortcut ${X11_LIBRARIES})
endif()
