=== ci/linux/requirements.txt ===
libavcodec-extra
cmake
qt5-qmake
qtbase5-dev
qtdeclarative5-dev
qtdeclarative5-private-dev
qtwebengine5-dev
libqt5webengine-data
qtquickcontrols2-5-dev
qtpositioning5-dev
qtbase5-private-dev
qml-module-qtquick2
libqt5svg5-dev
qttools5-dev-tools
qttools5-dev
qttranslations5-l10n
libnotify-dev
libqt5svg5
qml-module-qtquick-controls
qml-module-qtquick-controls2
qml-module-qtquick-dialogs
qml-module-qtquick-extras
qml-module-qtquick-layouts
qml-module-qtquick-privatewidgets
qml-module-qtquick-templates2
qml-module-qtquick-window2
qml-module-qtquick2
qml-module-qtwebengine
qml-module-qtwebchannel
qml-module-qt-labs-platform
qml-module-qtqml-models2
qml-module-qt-labs-settings
qml-module-qt-labs-folderlistmodel
lcov
xvfb
wget
fuse
qtchooser
