=== debian/changelog ===
mellowplayer (3.6.6-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Sun, 11 Oct 2020 13:09:35 +0200
