=== debian/control ===
Source: mellowplayer
Section: Multimedia
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/mellowplayer
#Vcs-Git: https://salsa.debian.org/debian/mellowplayer.git

Package: mellowplayer
Architecture: all
Depends: ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>
